%global bundle org.apache.felix.bundlerepository
Name:          felix-bundlerepository
Version:       1.6.6
Release:       %mkrel 1
Summary:       Apache Felix Bundle Repository
Group:         Development/Java
License:       ASL 2.0
Url:           http://felix.apache.org/
# http://repo1.maven.org/maven2/org/apache/felix/org.apache.felix.bundlerepository/
Source0:       http://www.apache.org/dist/felix/%{bundle}-1.6.6-source-release.tar.gz

Patch0:        felix-bundlerepository-1.6.4-pom.patch

Patch1:        felix-bundlerepository-1.6.6-pom.patch
# bundlerepository 1.6.6 BR felix-parent >= 2.1
BuildRequires: felix-parent 
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: easymock2
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: felix-osgi-obr
BuildRequires: felix-shell
BuildRequires: felix-utils
BuildRequires: kxml
BuildRequires: woodstox
BuildRequires: xpp3

BuildRequires: apache-rat-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      easymock2
Requires:      felix-osgi-compendium
Requires:      felix-osgi-core
Requires:      felix-osgi-obr
Requires:      felix-shell
Requires:      felix-utils
Requires:      kxml
Requires:      woodstox

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Apache Felix Bundle repository service.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Java 
Requires:      jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%patch1 -p0
# xmlpull changed with xpp3
sed -i "s|>xmlpull|>xpp3|" pom.xml
# maven-bundle-plugin
sed -i "s|<version>2.3.4|<version>2.0.0|" pom.xml

sed -i "s|pom.groupId|project.groupId|" pom.xml
sed -i "s|pom.artifactId|project.artifactId|" pom.xml

%build

mvn-rpmbuild -e install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}/felix
install -m 644 target/%{bundle}-%{version}.jar \
  %{buildroot}%{_javadir}/felix/%{bundle}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.felix-%{bundle}.pom
%add_maven_depmap JPP.felix-%{bundle}.pom felix/%{bundle}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/felix/%{bundle}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sun Nov 27 2011 gil <gil> 1.6.6-1.mga2
+ Revision: 172701
- update to 1.6.6

* Tue Nov 01 2011 gil <gil> 1.6.4-1.mga2
+ Revision: 160861
- imported package felix-bundlerepository

